#! /usr/bin/python
# -*- coding=utf-8 -*-

"""
    This file is part of Gnome 3 background slideshow.

    Gnome 3 background slideshow is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Gnome 3 background slideshow is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Gnome 3 background slideshow.  If not, see <http://www.gnu.org/licenses/>.
"""

from gi.repository import Gtk

class ImageFileChooserDialog(Gtk.FileChooserDialog):
   def __init__(self, parent, pixbuf_cache):
      Gtk.FileChooserDialog.__init__(self, parent=parent, action=Gtk.FileChooserAction.OPEN)
      self._pixbuf_cache = pixbuf_cache
      self.add_button(Gtk.STOCK_OPEN, Gtk.ResponseType.OK)
      self.add_button(Gtk.STOCK_CANCEL, Gtk.ResponseType.CANCEL)
      self.set_default_response(Gtk.ResponseType.OK)
      self._img = Gtk.Image()
      self.set_preview_widget(self._img)
      self.connect('update_preview', self._on_update_preview)
   def _on_update_preview(self, widget):
      self._img.clear()
      try:
         p = self._pixbuf_cache.get(self.get_filename(), 150, 150)
         self._img.set_from_pixbuf(p)
      except:
         pass
