#! /usr/bin/python
# -*- coding=utf-8 -*-

"""
    This file is part of Gnome 3 background slideshow.

    Gnome 3 background slideshow is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Gnome 3 background slideshow is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Gnome 3 background slideshow.  If not, see <http://www.gnu.org/licenses/>.
"""

import argparse, os
from informations import *

if _("CLI_SHOW_HELP_DESC")=="CLI_SHOW_HELP_DESC":
   import gettext
   path = os.path.join(os.path.split(os.path.split(__file__)[0])[0], "share", "locale")
   gettext.install(UNIX_APP_NAME, path)

class HelpFormatter(argparse.HelpFormatter):
   def add_usage(self, usage, actions, groups, prefix=None):
      return argparse.HelpFormatter.add_usage(self, usage, actions, groups, _("CLI_USAGE")+": ")

parser = argparse.ArgumentParser(description=FULL_APP_NAME, add_help=False, formatter_class=HelpFormatter)
group = parser.add_argument_group(title = _("CLI_OPTIONS"))
group.add_argument("-h", "--help", dest="show_help", action="store_true", help=_("CLI_SHOW_HELP_DESC"))
group.add_argument("-v", "--version", dest="show_version", action="store_true", help=_("CLI_SHOW_VERSION_DESC"))
group.add_argument("-c", "--configure", dest="configure", action="store_true", help=_("CLI_CONFIGURE_DESC"))
args = parser.parse_args()

if args.show_help:
   parser.print_help()
   exit(0)

if args.show_version:
   print VERSION
   exit(0)

configure = args.configure
